import request from '@/utils/request'

// 查询用户列表
export function listUser(query) {
  return request({
    url: '/gas/user/getList',
    method: 'get',
    params: query
  })
}// 工人列表
export function getWorker(data) {
  return request({
    url: '/gas/user/getWorker',
    method: 'get',
    params:data
  })
}

// 查询用户详细
export function getUser(id) {
  return request({
    url: '/gas/user/' + id,
    method: 'get'
  })
}

// 新增用户
export function addUser(data) {
  return request({
    url: '/gas/user',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateUser(data) {
  return request({
    url: '/gas/user',
    method: 'put',
    data: data
  })
}

// 删除用户
export function delUser(id) {
  return request({
    url: '/gas/user/' + id,
    method: 'delete'
  })
}


// 黑名单管理列表
export function getBlacklist(query) {
  return request({
    url: '/gas/user/getBlacklist',
    method: 'get',
    params: query
  })
}

// 手机号验证
export function getForPhone(value,id) {
  return request({
    url: '/gas/user/getForPhone?phone='+value+'&id='+id,
    method: 'get',
  })
}
// 工号验证
export function getForJobnum(value,id) {
  return request({
    url: '/gas/user/getForJobnum?jobNum='+value+'&id='+id,
    method: 'get',
  })
}
